Subject: Re: linux-next: build failure after merge of the driver-core tree

From: Greg KH <[email-masked]>
Date: Thu, 29 Aug 2019 12:10:50 +0200

On Thu, Aug 29, 2019 at 05:35:15PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the driver-core tree, today's linux-next build (arm
> multi_v7_defconfig) failed like this:
> 
> ERROR: "platform_get_irq_optional" [drivers/hwmon/pwm-fan.ko] undefined!
> 
> Caused by commit
> 
>   6e7e5c7fbc1c ("hwmon: pwm-fan: Use platform_get_irq_optional()")
> 
> [ or maybe commit
> 
>   8973ea47901c ("driver core: platform: Introduce platform_get_irq_optional()")
> ]
> 
> I have added the following patch for today.
> 
> From: Stephen Rothwell <[email-masked]>
> Date: Thu, 29 Aug 2019 17:26:34 +1000
> Subject: [PATCH] driver core: platform: export platform_get_irq_optional
> 
> Fixes: 6e7e5c7fbc1c ("hwmon: pwm-fan: Use platform_get_irq_optional()")
> Signed-off-by: Stephen Rothwell <[email-masked]>
> ---
>  drivers/base/platform.c | 1 +
>  1 file changed, 1 insertion(+)
> 
> diff --git a/drivers/base/platform.c b/drivers/base/platform.c
> index 0dda6ade50fd..11c6e56ccc22 100644
> --- a/drivers/base/platform.c
> +++ b/drivers/base/platform.c
> @@ -213,6 +213,7 @@ int platform_get_irq_optional(struct platform_device *dev, unsigned int num)
>  {
>  	return __platform_get_irq(dev, num);
>  }
> +EXPORT_SYMBOL_GPL(platform_get_irq_optional);

I just got this same patch right before you sent this, so I've queued it
up, thanks.

greg k-h